--- libpam-athena-locker-2.1.orig/debian/copyright
+++ libpam-athena-locker-2.1/debian/copyright
@@ -0,0 +1,32 @@
+This package was created as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk/config>, and is licensed as
+follows:
+
+  Copyright © 2007-2008 Tim Abbott and Anders Kaseorg
+
+  Permission is hereby granted, free of charge, to any person
+  obtaining a copy of this software and associated documentation files
+  (the "Software"), to deal in the Software without restriction,
+  including without limitation the rights to use, copy, modify, merge,
+  publish, distribute, sublicense, and/or sell copies of the Software,
+  and to permit persons to whom the Software is furnished to do so,
+  subject to the following conditions:
+
+  The above copyright notice and this permission notice shall be
+  included in all copies or substantial portions of the Software.
+
+  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
+  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
+  ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+  SOFTWARE.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- libpam-athena-locker-2.1.orig/debian/libpam-athena-locker.pam-config
+++ libpam-athena-locker-2.1/debian/libpam-athena-locker.pam-config
@@ -0,0 +1,6 @@
+Name: Athena: attach locker at login
+Default: yes
+Priority: 19
+Session-Type: Additional
+Session:
+	optional	pam_athena_locker.so
--- libpam-athena-locker-2.1.orig/debian/changelog
+++ libpam-athena-locker-2.1/debian/changelog
@@ -0,0 +1,82 @@
+libpam-athena-locker (2.1-0debathena5) unstable; urgency=low
+
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Change "Debian-Athena Project" to "Debathena Project".
+  * Remove debian/control from version control.
+  * Clean up debian/copyright.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 18:01:23 -0500
+
+libpam-athena-locker (2.1-0debathena4) unstable; urgency=low
+
+  * change pam-auth-update message to be clearer in menu
+
+ -- Greg Price <price@mit.edu>  Sat,  1 Nov 2008 07:58:41 -0400
+
+libpam-athena-locker (2.1-0debathena3) unstable; urgency=low
+
+  * Self-enable with pam-auth-update where available.
+
+ -- Greg Price <price@mit.edu>  Sat,  1 Nov 2008 02:23:19 -0400
+
+libpam-athena-locker (2.1-0debathena2) unstable; urgency=low
+
+  * Set maintainer to debathena@mit.edu.
+
+ -- Tim Abbott <tabbott@mit.edu>  Tue, 29 Jan 2008 22:19:00 -0500
+
+libpam-athena-locker (2.1-0debathena1) unstable; urgency=low
+
+  * close() stderr and stdout in the child process
+  * do the signal handler hack that we do in pam_debathena_home_type
+
+ -- Tim Abbott <tabbott@mit.edu>  Wed, 12 Dec 2007 22:21:36 -0500
+
+libpam-athena-locker (2.0-0debathena1) unstable; urgency=low
+
+  * Rewrite to call /usr/bin/attach instead of trying to use liblocker
+    directly.  The AFS libraries were giving us too many problems.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 05:27:14 -0400
+
+libpam-athena-locker (1.4-0debathena1) unstable; urgency=low
+
+  * Fixed a bug in the ordering of the setreuid() calls.
+
+ -- Tim Abbott <tabbott@mit.edu>  Thu, 26 Jul 2007 16:38:25 -0400
+
+libpam-athena-locker (1.3-0debathena1) unstable; urgency=low
+
+  * Fixed uid-euid confusion so that we actually don't attach as root.
+  * Fix so that we actually setgid back out of attach group.
+
+ -- Tim Abbott <tabbott@mit.edu>  Tue, 24 Jul 2007 17:11:04 -0400
+
+libpam-athena-locker (1.2-0debathena1) unstable; urgency=low
+
+  * Fixed Makefile to not give error from linktest.
+  * Made it not attach things as root.
+  * Made attach call not attempt to subscribe to zephyr.
+
+ -- Tim Abbott <tabbott@mit.edu>  Thu, 19 Jul 2007 17:28:05 -0400
+
+libpam-athena-locker (1.1-0debathena2) unstable; urgency=low
+
+  * Fix liblocker dependency.
+  * Section: debathena/libs.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Wed, 18 Jul 2007 00:23:23 -0400
+
+libpam-athena-locker (1.1-0debathena1) unstable; urgency=low
+
+  * Link against different AFS libraries that work on 64-bit systems.
+  * Remove sys-api.c and sys-linux.c.
+  * Test linking against libpam during build.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 16:21:02 -0400
+
+libpam-athena-locker (1.0-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Tim Abbott <tabbott@mit.edu>  Fri, 13 Jul 2007 18:00:34 -0400
--- libpam-athena-locker-2.1.orig/debian/compat
+++ libpam-athena-locker-2.1/debian/compat
@@ -0,0 +1 @@
+4
--- libpam-athena-locker-2.1.orig/debian/libpam-athena-locker.prerm
+++ libpam-athena-locker-2.1/debian/libpam-athena-locker.prerm
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if hash pam-auth-update 2>/dev/null; then
+  pam-auth-update --package --remove athena-locker
+fi
+
+#DEBHELPER#
--- libpam-athena-locker-2.1.orig/debian/rules
+++ libpam-athena-locker-2.1/debian/rules
@@ -0,0 +1,10 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/makefile.mk
+
+DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
+
+install/libpam-athena-locker::
+	install -D -m 644 debian/libpam-athena-locker.pam-config \
+	  $(DEB_DESTDIR)/usr/share/pam-configs/athena-locker
--- libpam-athena-locker-2.1.orig/debian/control
+++ libpam-athena-locker-2.1/debian/control
@@ -0,0 +1,16 @@
+Source: libpam-athena-locker
+Section: debathena/libs
+Priority: optional
+Maintainer: Debathena Project <debathena@mit.edu>
+Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0), libpam0g-dev, libopenafs-dev
+
+Package: libpam-athena-locker
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-attach
+Conflicts: debathena-libpam-openafs-session (<= 1.0-5debathena2)
+Description: PAM module to attach Athena user locker
+ This PAM module attaches the user's Athena locker.  It should be used
+ instead of libpam-openafs-session on Debathena machines because it
+ attaches the user's home locker, rather than simply getting tokens
+ for the machine's home cell.
--- libpam-athena-locker-2.1.orig/debian/libpam-athena-locker.postinst
+++ libpam-athena-locker-2.1/debian/libpam-athena-locker.postinst
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if hash pam-auth-update 2>/dev/null; then
+  pam-auth-update --package
+fi
+
+#DEBHELPER#
--- libpam-athena-locker-2.1.orig/debian/control.in
+++ libpam-athena-locker-2.1/debian/control.in
@@ -0,0 +1,16 @@
+Source: libpam-athena-locker
+Section: debathena/libs
+Priority: optional
+Maintainer: Debathena Project <debathena@mit.edu>
+Standards-Version: 3.7.2
+Build-Depends: @cdbs@, libpam0g-dev, libopenafs-dev
+
+Package: libpam-athena-locker
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-attach
+Conflicts: debathena-libpam-openafs-session (<= 1.0-5debathena2)
+Description: PAM module to attach Athena user locker
+ This PAM module attaches the user's Athena locker.  It should be used
+ instead of libpam-openafs-session on Debathena machines because it
+ attaches the user's home locker, rather than simply getting tokens
+ for the machine's home cell.
